<?php
global $get_meta , $post;

if( ( oriont_get_option('related') && empty( $get_meta["oriont_hide_related"][0] ) ) || ( isset( $get_meta["oriont_hide_related"][0] ) && $get_meta["oriont_hide_related"][0] == 'no' ) ):
	$related_no = oriont_get_option('related_number') ? oriont_get_option('related_number') : 3;
	
	global $post;
	$orig_post = $post;
	
	$query_type = oriont_get_option('related_query') ;
	if( $query_type == 'author' ){
		$args=array('post__not_in' => array($post->ID),'posts_per_page'=> $related_no , 'author'=> get_the_author_meta( 'ID' ));
	}elseif( $query_type == 'tag' ){
		$tags = wp_get_post_tags($post->ID);
		$tags_ids = array();
		foreach($tags as $individual_tag) $tags_ids[] = $individual_tag->term_id;
		$args=array('post__not_in' => array($post->ID),'posts_per_page'=> $related_no , 'tag__in'=> $tags_ids );
	}
	else{
		$categories = get_the_category($post->ID);
		$category_ids = array();
		foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
		$args=array('post__not_in' => array($post->ID),'posts_per_page'=> $related_no , 'category__in'=> $category_ids );
	}		
	$related_query = new wp_query( $args );
	if( $related_query->have_posts() ) : $count=0;?>
	<section id="related_posts" class="newsboxes-posts">
<div class="newsboxes-posts-header"><h3 class="newsboxes-posts-title"><?php _e( 'Related Articles' , 'oriont' ); ?></h3></div>
<div class="newsboxes-posts-body">
			<?php while ( $related_query->have_posts() ) : $related_query->the_post()?>
			<div class="related-item">
				<?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() ) : ?>			
				<div class="post-thumbnail">
					<a href="<?php the_permalink(); ?>" title="<?php printf( __( 'Permalink to %s', 'oriont' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
						<?php oriont_thumb('', 72 ,72); ?>
						<span class="overlay-icon"></span>
					</a>
				</div><!-- post-thumbnail /-->
				<?php endif; ?>			
				<h3><a href="<?php the_permalink(); ?>" title="<?php printf( __( 'Permalink to %s', 'oriont' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
				<p class="post-meta"><?php oriont_get_time() ?></p>
			</div>
			<?php endwhile;?>
			<div class="clear"></div>
		</div>
	</section>
	<?php	endif;
	$post = $orig_post;
	wp_reset_query();
endif; ?>